namespace GMLL00ImportadorXsd.Presentacion
{
    using System;
    using System.Windows.Forms;
    using Utilidades2;

    internal partial class MensajeForm : BaseForm
    {
        #region Variables y Propiedades
        string respuesta;
        public string Respuesta
        {
            get { return respuesta; }
            set { respuesta = value; }
        }
        #endregion
        #region Métodos y eventos del Formulario
        public MensajeForm()
        {
            InitializeComponent();
        }
        public MensajeForm(string mensaje, ModoMensaje tipo)
        {
            InitializeComponent();
            txtMensaje.Text = mensaje;
            switch (tipo)
            {
                case ModoMensaje.Warning:
                    ubtCancelar.Visible = false;
                    break;
                case ModoMensaje.Confirm:
                    ubtCancelar.Visible = true;
                    break;
                case ModoMensaje.Error:
                    ubtCancelar.Visible = false;
                    break;
            }
        }

        public override void ActualizarIdiomaInterfaz()
        {
            base.ActualizarIdiomaInterfaz();

            toolTip1.SetToolTip(this.ubtAceptar, Properties.Resources.ubtSalir_ToolTipTextES);
            toolTip1.SetToolTip(this.ubtCancelar, Properties.Resources.ultraTabControl1_GeneraFicheroES);
        }

        private void MensajeFormLoad(object sender, EventArgs e)
        {

            if (Configuracion.Pantalla.ConfiguracionActiva)
            {
                ubtTitulo.Appearance.BackColor = Configuracion.Pantalla.VentanaBarraTituloDegradadoColorInicial;
                ubtTitulo.Appearance.BackColor2 = Configuracion.Pantalla.VentanaBarraTituloDegradadoColorFinal;
                ubtTitulo.Appearance.ForeColor = Configuracion.Pantalla.VentanaBarraTituloColorTexto;
                ubtTitulo.Appearance.BackGradientStyle = Configuracion.Pantalla.VentanaBarraTituloDegradadoTipoDegradado;
                pnlBotones.BackColor = Configuracion.Pantalla.VentanaColorFondo;
                ubtAceptar.Focus();
            }

        }
        #endregion
        #region Eventos de Botones


        private void UbtTituloMouseMove(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
            {
                NativeMethods.ReleaseCapture();
                NativeMethods.SendMessage(Handle, NativeMethods.WMNclButtonDown, NativeMethods.HTCaption, "0");
            }
        }
        private void UbtAceptarClick(object sender, EventArgs e)
        {
            respuesta = "SI";
            this.Close();
        }

        private void UbtCancelarClick(object sender, EventArgs e)
        {
            respuesta = "NO";
            this.Close();
        }
        #endregion

        

       
    }
}